Subject: [scim] Question for ADs: bug fixes to 1.0 spec?

From: "Morteza Ansari (moransar)" <[email-masked]>
Date: Mon, 9 Apr 2012 03:19:06 -0500

Barry, Pete,

A question for you guys as to process and best way to proceed while we
are waiting to see if a SCIM WG is formed or not.

During the interop testing in Paris we discovered a few bugs in the spec
that require clarification and some additions. Should we discuss such
issues and resulting changes on the IETF mailing list or continue to
work on these very specific 1.0 issues on the old mailing list and
weekly calls we had?

The work will be very specific to 1.0. On one side it will be helpful to
the larger IETF community to also hear about the issues with the current
spec and learn about the changes. On other hand it might cause confusion
as such changes will need to be done very specific to 1.0 spec and done
quickly. And the result will be published as an addendum or revision to
the OWF 1.0 spec. Note that regardless of where the discussion takes
place, once the changes are complete the document editors will update
the current ID's and publish them to have the correct starting point for
the WG (assuming we end up creating one).

A number of us talked about this and we didn't see a clear answer and
figured we reach out to you guys for guidance.

Cheers,

Morteza

---

From: Melinda Shore <[email-masked]>
Date: Mon, 09 Apr 2012 11:48:54 -0800

> work on these very specific 1.0 issues on the old mailing list and

I haven't seen a response from the ADs but from my perspective I don't
see any reason why the drafts shouldn't reflect the current state of the
protocol (assuming you don't go the websockets route and post several
updates/day).  If at some point in the future there's a working group
chartered it's pretty much a given that you can expect changes both
large and small to what's currently defined, and I don't know whether
or not you're planning on tracking what the IETF does or forking off
an IETF version while keeping the current collaborative version, but
either way it seems premature to me to fork versions, which I think
is effectively what you're asking about.

Melinda

---

From: Phil Hunt <[email-masked]>
Date: Mon, 9 Apr 2012 13:10:08 -0700

I have no problem with the authors revising the drafts-it isnt like we are in WGLC. :)

IMHO all feedback/discussion should go through the ietf scim mailing list.

Phil

On 2012-04-09, at 12:48, Melinda Shore <[email-masked]> wrote:

> _______________________________________________
> scim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/scim

---

From: Eliot Lear <[email-masked]>
Date: Mon, 09 Apr 2012 22:15:37 +0200

What Melinda and Phil said.  From an IETF perspective the procedure is
*normally* that WG control is asserted at the point of adoption of WG
drafts.  That having been said, if the drafts are mentioned in the
charter and the charter is approved, they should be relatively stable
during that period, IMHO.

Eliot

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 10 Apr 2012 08:46:47 -0600

> during that period, IMHO.

True. There might be a period during which the authors are updating both
sets of documents, but hopefully the diffs are small. However, I see no
harm in discussing these 1.0-specific bug fixes on the old list and
keeping this list focused on chartering and related topics. If and when
the WG gets formed, folks would expect all discussions to happen here.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Hasini Gunasinghe <[email-masked]>
Date: Wed, 11 Apr 2012 10:18:45 +0530

Hi all,

May I know what the conclusion of this discussion is?
I have few suggestions to make for the improvement of couple of points in
the spec, based on the experience at the SCIM interop event.

I'd prefer to discuss them on ietf mailing list itself, since IMO - it will
be easy to track the discussions on the changes made to the spec after SCIM
1.0 is submitted to IETF.

Having said that, I would like to bring your attention regarding an issue
tracker as in [1] . I am new to IETF and I guess it is created only after
the WG is formed at IETF. If that is the case, it will be easier to
continue reporting/fixing issues related to the spec in the Cloud-Drectory
WG since an issue tracker [2] has been maintained there already.

[1] http://tools.ietf.org/wg/trackers
[2] http://code.google.com/p/scim/issues/list

Thanks,
Hasini.

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 11 Apr 2012 09:45:03 -0600

In the interim, I think it would be best to keep discussing SCIM 1.0
on the existing cloud-directory list and to keep using the issue
tracker at code.google.com. If and when a working group is formed at
the IETF, folks can transition tracking and discussion to IETF venues.

Peter

On 4/10/12 10:48 PM, Hasini Gunasinghe wrote:
> Hi all,
> 
> May I know what the conclusion of this discussion is? I have few
> suggestions to make for the improvement of couple of points in the
> spec, based on the experience at the SCIM interop event.
> 
> I'd prefer to discuss them on ietf mailing list itself, since IMO -
> it will be easy to track the discussions on the changes made to the
> spec after SCIM 1.0 is submitted to IETF.
> 
> Having said that, I would like to bring your attention regarding
> an issue tracker as in [1] . I am new to IETF and I guess it is
> created only after the WG is formed at IETF. If that is the case,
> it will be easier to continue reporting/fixing issues related to
> the spec in the Cloud-Drectory WG since an issue tracker [2] has
> been maintained there already.
> 
> [1] http://tools.ietf.org/wg/trackers [2]
> http://code.google.com/p/scim/issues/list
> 
> Thanks, Hasini.
> 
> 
> On Tue, Apr 10, 2012 at 8:16 PM, Peter Saint-Andre
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> What Melinda and Phil said.  From an IETF perspective the
>> procedure is *normally* that WG control is asserted at the point
>> of adoption of WG drafts.  That having been said, if the drafts
>> are mentioned in the charter and the charter is approved, they
>> should be relatively stable during that period, IMHO.
> 
> True. There might be a period during which the authors are updating
> both sets of documents, but hopefully the diffs are small. However,
> I see no harm in discussing these 1.0-specific bug fixes on the old
> list and keeping this list focused on chartering and related
> topics. If and when the WG gets formed, folks would expect all
> discussions to happen here.
> 
> Peter
> 
> -- Peter Saint-Andre https://stpeter.im/
> 
> 
> _______________________________________________ scim mailing list 
> [email-masked] <mailto:[email-masked]>

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 11 Apr 2012 17:09:58 -0600

It seems that I did not make it clear, on this list, that I sent this
message with no hats on. Ever since the end of my term during IETF 83,
I am no longer serving in the role of an Area Director at the IETF, so
everything I have said since then was strictly as an individual.

On 4/11/12 9:45 AM, Peter Saint-Andre wrote:
> In the interim, I think it would be best to keep discussing SCIM
> 1.0 on the existing cloud-directory list and to keep using the
> issue tracker at code.google.com. If and when a working group is
> formed at the IETF, folks can transition tracking and discussion to
> IETF venues.
> 
> Peter
> 
>> suggestions to make for the improvement of couple of points in
>> I'd prefer to discuss them on ietf mailing list itself, since IMO
>> - it will be easy to track the discussions on the changes made to
>> the spec after SCIM 1.0 is submitted to IETF.
> 
>> created only after the WG is formed at IETF. If that is the
>> case, it will be easier to continue reporting/fixing issues
>> related to the spec in the Cloud-Drectory WG since an issue
>> tracker [2] has been maintained there already.
> 
>>> procedure is *normally* that WG control is asserted at the
>>> point of adoption of WG drafts.  That having been said, if the
>>> drafts are mentioned in the charter and the charter is
>>> approved, they should be relatively stable during that period,
>>> IMHO.
> 
>> True. There might be a period during which the authors are
>> updating both sets of documents, but hopefully the diffs are
>> small. However, I see no harm in discussing these 1.0-specific
>> bug fixes on the old list and keeping this list focused on
>> chartering and related topics. If and when the WG gets formed,
>> folks would expect all discussions to happen here.
> 
>> Peter
>

---

From: Phil Hunt <[email-masked]>
Date: Wed, 11 Apr 2012 16:10:11 -0700

-1

I don't believe the current draft needs to be perfect in order to agree upon a charter.  It only needs to be in good shape for last call -- and we are a long way off from that!

I'd be worried about trying to keep the IETF and Google group specs in sync. Why attempt that?

There is also the note well concerns previously mentioned.

Phil

@independentid
www.independentid.com
[email-masked]

On 2012-04-11, at 8:45 AM, Peter Saint-Andre wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.8 (Darwin)
> Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/
> 
> iEYEARECAAYFAk+Fpv8ACgkQNL8k5A2w/vx6MACeOJUKUoh4ZU0EbR/qXoTeg5Nu
> 0o8AoJxHJzSQJLVzrFm7VyB9v6DXw9U8
> =Gu2K
> -----END PGP SIGNATURE-----

---

From: "Morteza Ansari (moransar)" <[email-masked]>
Date: Wed, 11 Apr 2012 23:43:58 -0500

This is not about having a perfect starting point. It is about fixing
the bugs in the 1.0 spec quickly (within weeks not months/years) to
solve some of the interoperability issues discovered while testing 1.0
spec. This will result in a better starting point for IETF WG, but is
independent of it.

For the record I don't have a strong opinion which is why I brought the
question up, but it seems it is easier to continue with existing model
and communication mechanisms to wrap up these open issues while we are
exploring ideas for 1.next under IETF umbrella and trying to get a WG
formed.

Cheers,
Morteza

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Phil Hunt
Sent: Wednesday, April 11, 2012 4:10 PM
To: Peter Saint-Andre
Cc: Hasini Gunasinghe; Melinda Shore; Eliot Lear; [email-masked]
Subject: Re: [scim] Question for ADs: bug fixes to 1.0 spec?

-1

I don't believe the current draft needs to be perfect in order to agree
upon a charter.  It only needs to be in good shape for last call -- and
we are a long way off from that!

I'd be worried about trying to keep the IETF and Google group specs in
sync. Why attempt that?

Phil

@independentid
www.independentid.com
[email-masked]

On 2012-04-11, at 8:45 AM, Peter Saint-Andre wrote:

>> Having said that, I would like to bring your attention regarding an 
>> issue tracker as in [1] . I am new to IETF and I guess it is created 
>> only after the WG is formed at IETF. If that is the case, it will be 
>> easier to continue reporting/fixing issues related to the spec in the

>> Cloud-Drectory WG since an issue tracker [2] has been maintained 
>> there already.
>> 
>>> What Melinda and Phil said.  From an IETF perspective the procedure 
>>> is *normally* that WG control is asserted at the point of adoption 
>>> of WG drafts.  That having been said, if the drafts are mentioned in

>>> the charter and the charter is approved, they should be relatively 
>>> stable during that period, IMHO.
>> 
>> both sets of documents, but hopefully the diffs are small. However, I

>> see no harm in discussing these 1.0-specific bug fixes on the old 
>> list and keeping this list focused on chartering and related topics. 
>> If and when the WG gets formed, folks would expect all discussions to

>> happen here.

---

From: William Mills <[email-masked]>
Date: Wed, 11 Apr 2012 22:59:22 -0700 (PDT)

As someone mostly on the sidelines here, there doesn't seem to be a reason to stop work on a draft as long as any perceived churn there doesn't make a bunch of noise in the chartering process/decision.  Anything that's making the initial proposal more solid and workable seems like a good thing.  I had 4 drafts of my ID done before Kitten adopted it, this seems comparable.

-bill

>________________________________
> From: Morteza Ansari (moransar) <[email-masked]>
>To: Phil Hunt <[email-masked]>; Peter Saint-Andre <[email-masked]> 
>Cc: Hasini Gunasinghe <[email-masked]>; Melinda Shore <[email-masked]>; Eliot Lear <[email-masked]>; [email-masked] 
>Sent: Wednesday, April 11, 2012 9:43 PM

---

From: Peter Saint-Andre <[email-masked]>
Date: Thu, 12 Apr 2012 07:07:40 -0600

On 4/11/12 11:59 PM, William Mills wrote:
> As someone mostly on the sidelines here, there doesn't seem to be
> a reason to stop work on a draft as long as any perceived churn
> there doesn't make a bunch of noise in the chartering
> process/decision. Anything that's making the initial proposal more
> solid and workable seems like a good thing.  I had 4 drafts of my
> ID done before Kitten adopted it, this seems comparable.

What's slightly different here is that if a working group is not
formed, I'd expect folks here to continue their work on the old list.
However, it's possible that folks would instead seek to work at the
IETF via individual submissions, not a working group.

As one data point, during formation of the OAuth WG, work and
discussion about OAuth 1.0 continued on their old list, not the IETF
list. That changed once the WG was formed.

Peter

- --
Peter Saint-Andre
https://stpeter.im/

---

From: Kelly Grizzle <[email-masked]>
Date: Thu, 12 Apr 2012 13:17:47 +0000

Thanks for your input (even with hat off), Peter.  I think these are all good reasons to keep the short-term SCIM 1.0 bug fixes on the old list and the charter/WG discussions here.

--Kelly

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Peter Saint-Andre
Sent: Thursday, April 12, 2012 8:08 AM
To: William Mills
Cc: Eliot Lear; Melinda Shore; [email-masked]; Hasini Gunasinghe; Morteza Ansari (moransar); Phil Hunt
Subject: Re: [scim] Question for ADs: bug fixes to 1.0 spec?

On 4/11/12 11:59 PM, William Mills wrote:
> As someone mostly on the sidelines here, there doesn't seem to be a 
> reason to stop work on a draft as long as any perceived churn there 
> doesn't make a bunch of noise in the chartering process/decision. 
> Anything that's making the initial proposal more solid and workable 
> seems like a good thing.  I had 4 drafts of my ID done before Kitten 
> adopted it, this seems comparable.

What's slightly different here is that if a working group is not formed, I'd expect folks here to continue their work on the old list.
However, it's possible that folks would instead seek to work at the IETF via individual submissions, not a working group.

As one data point, during formation of the OAuth WG, work and discussion about OAuth 1.0 continued on their old list, not the IETF list. That changed once the WG was formed.

Peter

- --
Peter Saint-Andre
https://stpeter.im/